## qsslcaudit 0.8.3

=== CMakeLists.txt ===
project(qsslcaudit)

cmake_minimum_required(VERSION 2.8.11)

set(QSSLC_VERSION_MAJOR 0)
set(QSSLC_VERSION_MINOR 8)
set(QSSLC_VERSION_PATCH 3)
set(QSSLC_VERSION "${QSSLC_VERSION_MAJOR}.${QSSLC_VERSION_MINOR}.${QSSLC_VERSION_PATCH}")
# version formatting stolen from KeepAssXC's CMakeLists.txt :-)
set(OVERRIDE_VERSION "" CACHE STRING "Override the qsslcaudit Version for Snapshot builds")

set(QSSLC_BUILD_TYPE "Snapshot" CACHE STRING "Set qsslcaudit build type to distinguish between stable releases and snapshots")
set_property(CACHE QSSLC_BUILD_TYPE PROPERTY STRINGS Snapshot Release PreRelease)

# Retrieve git HEAD revision hash
set(GIT_HEAD_OVERRIDE "" CACHE STRING "Manually set the Git HEAD hash when missing (eg, when no .git folder exists)")
execute_process(COMMAND git rev-parse --short=7 HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_HEAD
        ERROR_QUIET)
string(STRIP "${GIT_HEAD}" GIT_HEAD)
if(GIT_HEAD STREQUAL "" AND NOT GIT_HEAD_OVERRIDE STREQUAL "")
    string(SUBSTRING "${GIT_HEAD_OVERRIDE}" 0 7 GIT_HEAD)
elseif(EXISTS ${CMAKE_SOURCE_DIR}/.gitrev)
    file(READ ${CMAKE_SOURCE_DIR}/.gitrev GIT_HEAD)
endif()
message(STATUS "Found Git HEAD Revision: ${GIT_HEAD}\n")

# Check if on a tag, if so build as a release
execute_process(COMMAND git tag --points-at HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_TAG
        ERROR_QUIET)
if(GIT_TAG)
    string(STRIP "${GIT_TAG}" GIT_TAG)
    set(OVERRIDE_VERSION ${GIT_TAG})
elseif(EXISTS ${CMAKE_SOURCE_DIR}/.version)
    file(READ ${CMAKE_SOURCE_DIR}/.version OVERRIDE_VERSION)
endif()

string(REGEX REPLACE "(\r?\n)+" "" OVERRIDE_VERSION "${OVERRIDE_VERSION}")
string(REGEX REPLACE "v" "" OVERRIDE_VERSION "${OVERRIDE_VERSION}")
if(OVERRIDE_VERSION)
    if(OVERRIDE_VERSION MATCHES "^[\\.0-9]+-(alpha|beta)[0-9]+$")
        set(QSSLC_BUILD_TYPE PreRelease)
        set(QSSLC_VERSION ${OVERRIDE_VERSION})
    elseif(OVERRIDE_VERSION MATCHES "^[\\.0-9]+$")
        set(QSSLC_BUILD_TYPE Release)
        set(QSSLC_VERSION ${OVERRIDE_VERSION})
    else()
        set(QSSLC_BUILD_TYPE Snapshot)
        set(QSSLC_VERSION ${OVERRIDE_VERSION})
    endif()
else()
    if(QSSLC_BUILD_TYPE STREQUAL "PreRelease")
        set(QSSLC_VERSION "${QSSLC_VERSION}-preview")
    elseif(QSSLC_BUILD_TYPE STREQUAL "Snapshot")
        set(QSSLC_VERSION "${QSSLC_VERSION}-snapshot")
    endif()
endif()

if(QSSLC_BUILD_TYPE STREQUAL "Release")
    set(QSSLC_BUILD_TYPE_RELEASE ON)
elseif(QSSLC_BUILD_TYPE STREQUAL "PreRelease")
    set(QSSLC_BUILD_TYPE_PRE_RELEASE ON)
else()
    set(QSSLC_BUILD_TYPE_SNAPSHOT ON)
endif()

message(STATUS "Setting up build for qsslcaudit v${QSSLC_VERSION}\n")

find_package(Qt5Core REQUIRED)
find_package(Qt5Network REQUIRED)
if (Qt5Core_VERSION VERSION_LESS 5.12.0)
  add_definitions(-DOLDQT)
endif()

find_package(GnuTLS REQUIRED)

# attempt to find unsafe openssl
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
find_package(OpenSSLUnsafe)
if(OPENSSLUNSAFE_FOUND)
  message(STATUS "OpenSSL unsafe version " ${OPENSSL_UNSAFE_VERSION} " found, will use this version")

  include_directories(${OPENSSL_UNSAFE_INCLUDE_DIR})

  if (OPENSSL_UNSAFE_VERSION VERSION_GREATER 1.0.99)
    message(STATUS "OpenSSL unsafe version 1.1 is used")
    set(OPENSSL11_FOUND "yes")
    add_definitions(-DQT_FEATURE_opensslv11=1)
    add_definitions(-DOPENSSLV11=1)
  else()
    message(STATUS "OpenSSL unsafe version prior to 1.1 is used")
    set(OPENSSL10_FOUND "yes")
    add_definitions(-DOPENSSLV10=1)
  endif()

  set(UNSAFE_MODE "yes")

  add_definitions(-DUNSAFE)
endif()

# in some cases we need native version too
find_package(OpenSSL)
if(OPENSSL_FOUND)
  message(STATUS "OpenSSL native version " ${OPENSSL_VERSION} " found")

  if(NOT UNSAFE_MODE)
    if (OPENSSL_VERSION VERSION_GREATER 1.0.99)
      message(STATUS "OpenSSL version 1.1 is used")
      set(OPENSSL11_FOUND "yes")
      add_definitions(-DQT_FEATURE_opensslv11=1)
      add_definitions(-DOPENSSLV11=1)
    else()
      message(STATUS "OpenSSL version prior to 1.1 is used")
      set(OPENSSL10_FOUND "yes")
      add_definitions(-DOPENSSLV10=1)
    endif()
  endif()
endif()

set(UNSAFE_QSSL "yes")
if(UNSAFE_QSSL)
  add_definitions(-DUNSAFE_QSSL)
  add_definitions(-DXSsl=SslUnsafe)
  add_definitions(-DXSslConfiguration=SslUnsafeConfiguration)
  add_definitions(-DXSslSocket=SslUnsafeSocket)
  add_definitions(-DXSslCertificate=SslUnsafeCertificate)
  add_definitions(-DXSslKey=SslUnsafeKey)
  add_definitions(-DXSslCipher=SslUnsafeCipher)
  add_definitions(-DXSslEllipticCurve=SslUnsafeEllipticCurve)
  add_definitions(-DXSslError=SslUnsafeError)
  add_definitions(-DXDtls=SslUnsafeDtls)
  add_definitions(-DXDtlsError=SslUnsafeDtlsError)
  add_definitions(-DXDtlsClientVerifier=SslUnsafeDtlsClientVerifier)
else()
  add_definitions(-DXSsl=QSsl)
  add_definitions(-DXSslConfiguration=QSslConfiguration)
  add_definitions(-DXSslSocket=QSslSocket)
  add_definitions(-DXSslCertificate=QSslCertificate)
  add_definitions(-DXSslKey=QSslKey)
  add_definitions(-DXSslCipher=QSslCipher)
  add_definitions(-DXSslEllipticCurve=QSslEllipticCurve)
  add_definitions(-DXSslError=QSslError)
  add_definitions(-DXDtls=QDtls)
  add_definitions(-DXDtlsError=QDtlsError)
  add_definitions(-DXDtlsClientVerifier=QDtlsClientVerifier)
endif()

add_definitions(-fPIC)

add_definitions(-DQSSLC_VERSION="${QSSLC_VERSION}")

find_package(CryptoPP REQUIRED)

SET(CMAKE_CXX_STANDARD 11)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

set(THIRDPARTY_DIR "${CMAKE_SOURCE_DIR}/thirdparty")
set(UNSAFESSL_DIR "${CMAKE_SOURCE_DIR}/src/unsafessl")
set(LIBQSSLCAUDIT_DIR "${CMAKE_SOURCE_DIR}/src/libqsslcaudit")

add_subdirectory(thirdparty)
add_subdirectory(src)

if(WITH_TESTS)
  enable_testing()
  add_subdirectory(tests)
endif()

=== src/CMakeLists.txt ===
project(qsslcaudit.bin)

if(UNSAFE_QSSL)
  add_subdirectory(unsafessl)
endif()

add_subdirectory(libqsslcaudit)

include_directories(${LIBQSSLCAUDIT_DIR})

if(UNSAFE_QSSL)
  include_directories(${UNSAFESSL_DIR})
endif()

add_executable(qsslcaudit main.cpp sigwatch.cpp sigwatch.h)
set_target_properties(qsslcaudit PROPERTIES AUTOMOC TRUE)

target_link_libraries(qsslcaudit qsslcaudit_lib)

install(TARGETS qsslcaudit RUNTIME DESTINATION bin)

=== tests/CMakeLists.txt ===
include_directories(
    ${UNSAFESSL_DIR}
    ${LIBQSSLCAUDIT_DIR}
    )

# this is required on Ubuntu
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_executable(tests_SslTestCertSS1 tests_SslTestCertSS1.cpp test.h)
set_target_properties(tests_SslTestCertSS1 PROPERTIES AUTOMOC TRUE)
target_link_libraries(tests_SslTestCertSS1 qsslcaudit_lib)
add_test(tests_SslTestCertSS1 tests_SslTestCertSS1)

add_executable(tests_SslTestCertSS1dtls tests_SslTestCertSS1dtls.cpp test.h)
set_target_properties(tests_SslTestCertSS1dtls PROPERTIES AUTOMOC TRUE)
target_link_libraries(tests_SslTestCertSS1dtls qsslcaudit_lib)
add_test(tests_SslTestCertSS1dtls tests_SslTestCertSS1dtls)

if(UNSAFE_MODE)
  add_executable(tests_SslTestProtoSsl2 tests_SslTestProtoSsl2.cpp test.h)
  set_target_properties(tests_SslTestProtoSsl2 PROPERTIES AUTOMOC TRUE)
  target_link_libraries(tests_SslTestProtoSsl2 qsslcaudit_lib)
  add_test(tests_SslTestProtoSsl2 tests_SslTestProtoSsl2)
endif()

if(UNSAFE_MODE)
  add_executable(tests_SslTestProtoSsl3 tests_SslTestProtoSsl3.cpp test.h)
  set_target_properties(tests_SslTestProtoSsl3 PROPERTIES AUTOMOC TRUE)
  target_link_libraries(tests_SslTestProtoSsl3 qsslcaudit_lib)
  add_test(tests_SslTestProtoSsl3 tests_SslTestProtoSsl3)
endif()

if(UNSAFE_MODE)
  add_executable(tests_SslTestCiphersSsl3Med tests_SslTestCiphersSsl3Med.cpp test.h)
  set_target_properties(tests_SslTestCiphersSsl3Med PROPERTIES AUTOMOC TRUE)
  target_link_libraries(tests_SslTestCiphersSsl3Med qsslcaudit_lib)
  add_test(tests_SslTestCiphersSsl3Med tests_SslTestCiphersSsl3Med)
endif()

add_executable(tests_SslTestProtoTls10 tests_SslTestProtoTls10.cpp test.h)
set_target_properties(tests_SslTestProtoTls10 PROPERTIES AUTOMOC TRUE)
target_link_libraries(tests_SslTestProtoTls10 qsslcaudit_lib)
add_test(tests_SslTestProtoTls10 tests_SslTestProtoTls10)

add_executable(tests_SslTestCiphersTls10Med tests_SslTestCiphersTls10Med.cpp test.h)
set_target_properties(tests_SslTestCiphersTls10Med PROPERTIES AUTOMOC TRUE)
target_link_libraries(tests_SslTestCiphersTls10Med qsslcaudit_lib)
add_test(tests_SslTestCiphersTls10Med tests_SslTestCiphersTls10Med)

add_executable(tests_SslTestCiphersTls11Med tests_SslTestCiphersTls11Med.cpp test.h)
set_target_properties(tests_SslTestCiphersTls11Med PROPERTIES AUTOMOC TRUE)
target_link_libraries(tests_SslTestCiphersTls11Med qsslcaudit_lib)
add_test(tests_SslTestCiphersTls11Med tests_SslTestCiphersTls11Med)

add_executable(tests_SslTestCiphersTls12Med tests_SslTestCiphersTls12Med.cpp test.h)
set_target_properties(tests_SslTestCiphersTls12Med PROPERTIES AUTOMOC TRUE)
target_link_libraries(tests_SslTestCiphersTls12Med qsslcaudit_lib)
add_test(tests_SslTestCiphersTls12Med tests_SslTestCiphersTls12Med)

if(UNSAFE_MODE)
  add_executable(tests_SslTestCiphersDtls10Exp tests_SslTestCiphersDtls10Exp.cpp test.h)
  set_target_properties(tests_SslTestCiphersDtls10Exp PROPERTIES AUTOMOC TRUE)
  target_link_libraries(tests_SslTestCiphersDtls10Exp qsslcaudit_lib)
  add_test(tests_SslTestCiphersDtls10Exp tests_SslTestCiphersDtls10Exp)

  add_executable(tests_SslTestCiphersDtls12Exp tests_SslTestCiphersDtls12Exp.cpp test.h)
  set_target_properties(tests_SslTestCiphersDtls12Exp PROPERTIES AUTOMOC TRUE)
  target_link_libraries(tests_SslTestCiphersDtls12Exp qsslcaudit_lib)
  add_test(tests_SslTestCiphersDtls12Exp tests_SslTestCiphersDtls12Exp)
endif()

add_executable(tests_MultipleTests tests_MultipleTests.cpp test.h)
set_target_properties(tests_MultipleTests PROPERTIES AUTOMOC TRUE)
target_link_libraries(tests_MultipleTests qsslcaudit_lib)
add_test(NAME tests_MultipleTests COMMAND tests_MultipleTests 100)

add_executable(tests_DifferentClientTypes tests_DifferentClientTypes.cpp test.h)
set_target_properties(tests_DifferentClientTypes PROPERTIES AUTOMOC TRUE)
target_link_libraries(tests_DifferentClientTypes qsslcaudit_lib)
add_test(tests_DifferentClientTypes tests_DifferentClientTypes)

add_executable(tests_MultipleClients tests_MultipleClients.cpp test.h)
set_target_properties(tests_MultipleClients PROPERTIES AUTOMOC TRUE)
target_link_libraries(tests_MultipleClients qsslcaudit_lib)
add_test(tests_MultipleClients tests_MultipleClients)

=== thirdparty/CMakeLists.txt ===
ADD_SUBDIRECTORY(qt-certificate-addon)

=== src/libqsslcaudit/CMakeLists.txt ===
project(libqsslcaudit)

set(qsslcauditSources
    sslcaudit.cpp
    sslserver.cpp
    tcpsserver.cpp
    dtlsserver.cpp
    sslcertgen.cpp
    ssltest.cpp
    ssltests.cpp
    sslusersettings.cpp
    starttls.cpp
    tlshello.cpp
    sslcheck.cpp
    ssltestresult.cpp
    clientinfo.cpp
    openssl-helper.cpp
    cve-2020-0601_poc.cpp
    testserver.cpp
    )

set(qsslcauditHeaders
    ciphers.h
    debug.h
    errorhandler.h
    sslcaudit.h
    sslcertgen.h
    sslserver.h
    tcpsserver.h
    dtlsserver.h
    ssltest.h
    ssltests.h
    sslusersettings.h
    starttls.h
    tlshello.h
    sslcheck.h
    ssltestresult.h
    clientinfo.h
    openssl-helper.h
    cve-2020-0601_poc.h
    testserver.h
    )

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${THIRDPARTY_DIR}/qt-certificate-addon/src/certificate
    )

if(UNSAFE_QSSL)
  include_directories(${UNSAFESSL_DIR})
endif()

add_library(qsslcaudit_lib STATIC ${qsslcauditSources} ${qsslcauditHeaders})
set_target_properties(qsslcaudit_lib PROPERTIES AUTOMOC TRUE)

target_link_libraries(qsslcaudit_lib qtcertificateaddon ${CRYPTOPP_LIBRARIES})

if(UNSAFE_QSSL)
    target_link_libraries(qsslcaudit_lib unsafessl)
endif()

=== src/unsafessl/CMakeLists.txt ===
project(unsafessl)

list(APPEND unsafessl_INCLUDE_DIRECTORIES
    ${CMAKE_CURRENT_BINARY_DIR}
)

list(APPEND unsafessl_SOURCES
    sslunsafe.cpp
    sslunsafeasn1element.cpp
    sslunsafecertificate.cpp
    sslunsafecertificate_openssl.cpp
    sslunsafecertificateextension.cpp
    sslunsafecipher.cpp
    sslunsafecontext_openssl.cpp
    sslunsafeconfiguration.cpp
    sslunsafedtls.cpp
    sslunsafedtls_openssl.cpp
    sslunsafediffiehellmanparameters.cpp
    sslunsafediffiehellmanparameters_openssl.cpp
    sslunsafeerror.cpp
    sslunsafeellipticcurve.cpp
    sslunsafeellipticcurve_openssl.cpp
    sslunsafekey_openssl.cpp
    sslunsafekey_p.cpp
    sslunsafemutexpool.cpp
    sslunsafepassworddigestor.cpp
    sslunsafepresharedkeyauthenticator.cpp
    sslunsaferingbuffer.cpp
    sslunsafesocket.cpp
    sslunsafesocket_openssl.cpp
    sslunsafesocket_openssl_symbols.cpp
)

list(APPEND unsafessl_HEADERS
    sslunsafe.h
    sslunsafe_p.h
    sslunsafeasn1element_p.h
    sslunsafecertificateextension.h
    sslunsafecertificateextension_p.h
    sslunsafecertificate.h
    sslunsafecertificate_p.h
    sslunsafecipher.h
    sslunsafecipher_p.h
    sslunsafeconfiguration.h
    sslunsafeconfiguration_p.h
    sslunsafecontext_openssl_p.h
    sslunsafedtls.h
    sslunsafedtls_openssl_p.h
    sslunsafedtls_p.h
    sslunsafediffiehellmanparameters.h
    sslunsafediffiehellmanparameters_p.h
    sslunsafeellipticcurve.h
    sslunsafeerror.h
    sslunsafekey.h
    sslunsafekey_p.h
    sslunsafemutexpool_p.h
    sslunsafenetworkglobal.h
    sslunsafepassworddigestor.h
    sslunsafepresharedkeyauthenticator.h
    sslunsafepresharedkeyauthenticator_p.h
    sslunsaferingbuffer_p.h
    sslunsafesocket.h
    sslunsafesocket_openssl_p.h
    sslunsafesocket_openssl_symbols_p.h
    sslunsafesocket_p.h
)

if (OPENSSL11_FOUND)
    list(APPEND unsafessl_SOURCES
        sslunsafecontext_openssl11.cpp
        sslunsafesocket_openssl11.cpp
        )
    list(APPEND unsafessl_HEADERS
        sslunsafesocket_openssl11_symbols_p.h
        )
else()
    list(APPEND unsafessl_SOURCES
        sslunsafecontext_opensslpre11.cpp
        sslunsafesocket_opensslpre11.cpp
        )
    list(APPEND unsafessl_HEADERS
        sslunsafesocket_opensslpre11_symbols_p.h
        )
endif()

include_directories(${unsafessl_INCLUDE_DIRECTORIES})
add_library(unsafessl STATIC ${unsafessl_SOURCES} ${unsafessl_HEADERS})
set_target_properties(unsafessl PROPERTIES AUTOMOC TRUE)

# this is not needed when Qt built with openssl-linked
# however, I do not know how to determine it with cmake
if(UNSAFE_MODE)
  target_link_libraries(unsafessl OpenSSLUnsafe::SSL OpenSSLUnsafe::Crypto)
else()
  target_link_libraries(unsafessl OpenSSL::SSL OpenSSL::Crypto)
endif()

target_link_libraries(unsafessl Qt5::Core Qt5::Network)

=== thirdparty/qt-certificate-addon/CMakeLists.txt ===
project(qtcertificateaddon)

cmake_minimum_required(VERSION 2.8.11)

add_subdirectory( src )

=== thirdparty/qt-certificate-addon/src/certificate/CMakeLists.txt ===

list(APPEND qtcertificateaddon_INCLUDE_DIRECTORIES
    ${QT_INCLUDES}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTNETWORK_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src/unsafessl
)

list(APPEND qtcertificateaddon_SOURCES
    certificatebuilder.cpp
    keybuilder.cpp
    certificaterequestbuilder.cpp
    randomgenerator.cpp
    certificaterequest.cpp
    utils.cpp
)

list(APPEND qtcertificateaddon_HEADERS
    certificatebuilder.h
    certificatebuilder_p.h
    certificate_global.h
    certificate.h
    certificaterequestbuilder.h
    certificaterequestbuilder_p.h
    certificaterequest.h
    certificaterequest_p.h
    keybuilder.h
    randomgenerator.h
    utils_p.h
)

include_directories(${qtcertificateaddon_INCLUDE_DIRECTORIES} ${GNUTLS_INCLUDE_DIR})
add_library(qtcertificateaddon STATIC ${qtcertificateaddon_SOURCES} ${qtcertificateaddon_HEADERS})
set_target_properties(qtcertificateaddon PROPERTIES AUTOMOC TRUE)
target_link_libraries(qtcertificateaddon Qt5::Core Qt5::Network ${GNUTLS_LIBRARIES})

=== debian/changelog ===
qsslcaudit (0.8.3-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:56:25 +0200

qsslcaudit (0.8.3-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * New upstream release.
  * Drop patch fix-FindCryptoPP-for-version-8.3.patch, present upstream.
  * Refresh patches.

  [ Sophie Brun ]
  * Bump Standards-Version to 4.6.2

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Jan 2023 15:44:36 +0100

qsslcaudit (0.8.1-0kali2) kali-dev; urgency=medium

  * Add patches to build with cryptocpp version 8.3
  * Add superficial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Jan 2021 10:14:55 +0100

qsslcaudit (0.8.1-0kali1) kali-dev; urgency=medium

  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file
  * New upstream version 0.8.1
  * Update debian/copyright
  * Add new build-dep libcrypto++-dev
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 May 2020 14:22:59 +0200

qsslcaudit (0.7.1-1kali1) kali-dev; urgency=low

  [ Pavel Nakonechnyi ]
  * initial build for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Oct 2019 11:02:22 +0100

=== debian/control ===
Source: qsslcaudit
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libcrypto++-dev,
               libgnutls28-dev,
               libunsafessl-dev,
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://github.com/gremwell/qsslcaudit

Package: qsslcaudit
Architecture: any
Depends: libunsafessl1.0.2, ${misc:Depends}, ${shlibs:Depends}
Description: test SSL/TLS clients how secure they are
 This tool can be used to determine if an application that uses TLS/SSL for its
 data transfers does this in a secure way.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=cmake --sourcedirectory=.

override_dh_auto_configure:
	echo $(DEB_VERSION_UPSTREAM) > .version
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qsslcaudit-$1.tar.gz%" \
   https://github.com/gremwell/qsslcaudit/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
